<Filters::Pill @onSelect={{this.openModal}} @onReset={{this.reset}} @value={{this.label}} @title={{t 'icon-label'}} ...attributes {{did-insert this.prepareModal}} />

{{#if this.destinationElement}}
  {{#in-element this.destinationElement}}
    <div class='modal fade' tabindex='-1' role='dialog' aria-labelledby='iconListLabel' aria-hidden='true' {{did-insert this.setupModal}}>
      <div class='modal-dialog modal-dialog-scrollable' role='document'>
        <div class='modal-content'>
          <div class='modal-header'>
            <h5 class='modal-title capitalize-first-letter' id='iconListLabel'>{{t 'select icons'}}</h5>
            <button type='button' class='btn-close' data-dismiss='modal' aria-label='Close' {{on 'click' this.close}}></button>
          </div>

          <div class='modal-body p-0'>
            {{#if this.modalVisible}}
              {{#if this.isLoading}}
                <div class='text-center m-5'>
                  <FaIcon @icon='spinner' @spin={{true}} />
                </div>
              {{else}}
                <Input::Icons::Selector @disabled={{@disabled}} @icons={{this.icons}} @value={{this.selection}} @onSelect={{this.selectionChanged}} class='m-0 p-0 d-flex flex-wrap justify-content-start' />
              {{/if}}
            {{/if}}
          </div>

          <div class='modal-footer'>
            <button type='button' class='btn btn-secondary capitalize-first-letter' {{on 'click' this.close}}>
              {{t 'close'}}
            </button>
          </div>
        </div>
      </div>
    </div>
  {{/in-element}}
{{/if}}